<?php

namespace App\Classes\Modules\HelpMenu\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class QAUserSourceObject implements DataTransferObject
{
    /** @var string */
    private $system;

    /** @var string */
    private $marking;

    /** @var string */
    private $email;

    /**
     * QAUserSourceObject constructor.
     * @param string $system
     * @param string $marking
     * @param string $email
     */
    public function __construct(string $system, string $marking, string $email)
    {
        $this->system = $system;
        $this->marking = $marking;
        $this->email = $email;
    }

    /**
     * @return string
     */
    public function getSystem(): string
    {
        return $this->system;
    }

    /**
     * @return string
     */
    public function getMarking(): string
    {
        return $this->marking;
    }

    /**
     * @return string
     */
    public function getEmail(): string
    {
        return $this->email;
    }

}
